Ce Forum passera en lecture seule en janvier 2020
Image
Merci de vous rendre sur https://community.jeedom.com maintenant pour vos prochains postes ;)

[Plugin Tiers][Sujet Principal] Google Cast

Pour échanger sur les plugins classés en catégorie "Multimédia"
cedvi59
Timide
Messages : 28
Inscription : 02 nov. 2017, 09:54

Re: [Plugin Tiers][Sujet Principal] Google Cast

Message par cedvi59 » 29 oct. 2019, 20:32

mccyrille a écrit :
21 oct. 2019, 20:58
J'ai résolu le problème en lancant simplement ffmpeg :

sudo apt -y install ffmpeg

mais idéalement, si ça pouvait être pris en compte pour les autres :)
Merci beaucoup !
Ca à fonctionné pour moi :)
dell optiplex160 ATOM ssd
Google Home ( 2x ) + 3mini
Philips HUE>Ampoule+LED+détecteur+ interrupteur avec central
Xiaomi > Ampoule+detect de mouvement+detect de porte + lumière + détect de temp + central V2+ détecteur fumée
Apprentissage sonoff

MaAamie
Timide
Messages : 261
Inscription : 21 mai 2017, 13:53
Localisation : Pas-de-Calais

Re: [Plugin Tiers][Sujet Principal] Google Cast

Message par MaAamie » 31 oct. 2019, 18:03

Bonjour,

Depuis quelques jours j'ai ce problème dans les logs :

Code : Tout sélectionner

[2019-10-31 17:47:28][ERROR] : ACTION------Error while playing action pause on default media controler : Namespace urn:x-cast:com.google.cast.media is not supported by runningapplication.
[2019-10-31 17:47:28][ERROR] : ACTION------Error while playing action play_media on app plex : Socket client's thread is stopped.
Unhandled exception in thread started by <function action_handler at 0x7fd5fcc03048>
Traceback (most recent call last):
File "/var/www/html/plugins/googlecast/resources/googlecast.py", line 978, in action_handler
player.play_media(command['resume_plexitem'], command['resume_plexserver'], {'offset':offset, 'type':type, 'shuffle':shuffle, 'repeat':repeat} )
File "/var/www/html/plugins/googlecast/resources/pychromecast/pychromecast/customcontrollers/plex2.py", line 48, in play_media
callback_function=app_launched_callback)
File "/var/www/html/plugins/googlecast/resources/pychromecast/pychromecast/socket_client.py", line 815, in launch_app
self.update_status(lambda response:
File "/var/www/html/plugins/googlecast/resources/pychromecast/pychromecast/socket_client.py", line 806, in update_status
callback_function=callback_function_param)
File "/var/www/html/plugins/googlecast/resources/pychromecast/pychromecast/controllers/__init__.py", line 84, in send_message
self.namespace, data, inc_session_id, callback_function)
File "/var/www/html/plugins/googlecast/resources/pychromecast/pychromecast/socket_client.py", line 611, in send_platform_message
inc_session_id, callback_function_param)
File "/var/www/html/plugins/googlecast/resources/pychromecast/pychromecast/socket_client.py", line 590, in send_message
raise PyChromecastStopped("Socket client's thread is stopped.")
pychromecast.pychromecast.error.PyChromecastStopped: Socket client's thread is stopped.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/var/www/html/plugins/googlecast/resources/googlecast.py", line 989, in action_handler
jcast.manage_exceptions(str(e))
File "/var/www/html/plugins/googlecast/resources/googlecast.py", line 175, in manage_exceptions
self.disconnect()
File "/var/www/html/plugins/googlecast/resources/googlecast.py", line 378, in disconnect
self.free_memory()
File "/var/www/html/plugins/googlecast/resources/googlecast.py", line 386, in free_memory
del self.gcast
AttributeError: gcast
[2019-10-31 17:49:59][ERROR] : http://88.80.190.127:8443: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response',))
[2019-10-31 17:50:15][ERROR] : http://176.58.109.167:8443: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response',))
[2019-10-31 17:50:29][ERROR] : http://MONIPPUBLIQUECACHE:19574: HTTPConnectionPool(host='MONIPPUBLIQUECACHE', port=19574): Max retries exceeded with url: / (Caused by ConnectTimeoutError(<requests.packages.urllib3.connection.HTTPConnection object at 0x7fd5f31adb38>, 'Connection to MONIPPUBLIQUECACHE timed out. (connect timeout=30)'))
[2019-10-31 17:50:29][ERROR] : https://109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct:19574: HTTPSConnectionPool(host='109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct', port=19574): Max retries exceeded with url: / (Caused by ConnectTimeoutError(<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fd5f3199b38>, 'Connection to 109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct timed out. (connect timeout=30)'))
[2019-10-31 17:50:45][ERROR] : https://109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct:19574: HTTPSConnectionPool(host='109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct', port=19574): Max retries exceeded with url: / (Caused by ConnectTimeoutError(<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fd5f31c7e48>, 'Connection to 109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct timed out. (connect timeout=30)'))
[2019-10-31 17:50:45][ERROR] : http://MONIPPUBLIQUECACHE:19574: HTTPConnectionPool(host='MONIPPUBLIQUECACHE', port=19574): Max retries exceeded with url: / (Caused by ConnectTimeoutError(<requests.packages.urllib3.connection.HTTPConnection object at 0x7fd5f31c64a8>, 'Connection to MONIPPUBLIQUECACHE timed out. (connect timeout=30)'))
[2019-10-31 17:54:51][ERROR] : http://139.162.215.184:8443: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response',))
[2019-10-31 17:54:54][ERROR] : http://88.80.186.253:8443: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response',))
[2019-10-31 17:55:21][ERROR] : https://109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct:19574: HTTPSConnectionPool(host='109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct', port=19574): Max retries exceeded with url: / (Caused by ConnectTimeoutError(<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fd5f316f4e0>, 'Connection to 109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct timed out. (connect timeout=30)'))
[2019-10-31 17:55:21][ERROR] : http://MONIPPUBLIQUECACHE:19574: HTTPConnectionPool(host='MONIPPUBLIQUECACHE', port=19574): Max retries exceeded with url: / (Caused by ConnectTimeoutError(<requests.packages.urllib3.connection.HTTPConnection object at 0x7fd5f3167908>, 'Connection to MONIPPUBLIQUECACHE timed out. (connect timeout=30)'))
[2019-10-31 17:55:24][ERROR] : https://109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct:19574: HTTPSConnectionPool(host='109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct', port=19574): Max retries exceeded with url: / (Caused by ConnectTimeoutError(<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fd5f3040da0>, 'Connection to 109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct timed out. (connect timeout=30)'))
[2019-10-31 17:55:24][ERROR] : http://MONIPPUBLIQUECACHE:19574: HTTPConnectionPool(host='MONIPPUBLIQUECACHE', port=19574): Max retries exceeded with url: / (Caused by ConnectTimeoutError(<requests.packages.urllib3.connection.HTTPConnection object at 0x7fd5f304bda0>, 'Connection to MONIPPUBLIQUECACHE timed out. (connect timeout=30)'))
[2019-10-31 17:55:48][ERROR] : http://88.80.186.253:8443: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response',))
[2019-10-31 17:56:18][ERROR] : http://MONIPPUBLIQUECACHE:19574: HTTPConnectionPool(host='MONIPPUBLIQUECACHE', port=19574): Max retries exceeded with url: / (Caused by ConnectTimeoutError(<requests.packages.urllib3.connection.HTTPConnection object at 0x7fd5f07d4518>, 'Connection to MONIPPUBLIQUECACHE timed out. (connect timeout=30)'))
[2019-10-31 17:56:18][ERROR] : https://109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct:19574: HTTPSConnectionPool(host='109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct', port=19574): Max retries exceeded with url: / (Caused by ConnectTimeoutError(<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fd5f07cf470>, 'Connection to 109-29-228-235.119a5288f30a45b4a665dcdcefee4304.plex.direct timed out. (connect timeout=30)'))
[2019-10-31 17:59:08][ERROR] : ACTION------Error while playing action stop on default media controler : Namespace urn:x-cast:com.google.cast.media is not supported by runningapplication.
Cela arrive dès que je fais un custom cmd pour caster une playlist plex video ou audio vers un google home et une android tv
Cordialement.

havock
Timide
Messages : 6
Inscription : 02 févr. 2019, 10:30

Re: [Plugin Tiers][Sujet Principal] Google Cast

Message par havock » 06 nov. 2019, 06:10

Bonjour,

J'essaye de mettre un design via Google cast sur mon Google hub niveau appelle ça fonctionne mais j'aimerais savoir si il y a un moyen d'enlever la barre du haut en bref de passer en fullscreen comme jpi ou fullykiosk
Merci d'avance

Hatalar
Timide
Messages : 12
Inscription : 02 juin 2019, 00:40

Re: [Plugin Tiers][Sujet Principal] Google Cast

Message par Hatalar » 06 nov. 2019, 14:33

Hello, je me permets une question sans fouille au préalable, désolé.

Je viens de migrer mon Jeedom d'un raspeberry vers une Vm sous Promox (donc avec un backup). Depuis impossible d'envoyer une commande "parle".

J'ai aussi changé mon routeur/firewall (Tplink vers un Pfsense hardware) lors de cette migration.

Mais quand je regarde les logs on dirait plutôt un problème de répertoire ?

[2019-11-06 14:25:01][ERROR] : CMD-TTS------Google Translate API : Cannot connect to API - failover to picotts ([Errno 20] Not a directory: '/var/www/html/plugins/googlecast/tmp/4ad671d0c7ceaf45e74412a27787f7a7.mp3')
[2019-11-06 14:25:01][ERROR] : CMD-TTS------Exception while generating tts file : [Errno 20] Not a directory: '/var/www/html/plugins/googlecast/tmp/4ad671d0c7ceaf45e74412a27787f7a7_failover.wav'
[2019-11-06 14:27:40][ERROR] : WARMUPNOTIF------Exception while generating warmupn


Merci,

Hatalar

Avatar de l’utilisateur
cadavor
Actif
Messages : 1266
Inscription : 21 juin 2015, 22:00
Localisation : 34

Re: [Plugin Tiers][Sujet Principal] Google Cast

Message par cadavor » 07 nov. 2019, 11:08

Hatalar a écrit :
06 nov. 2019, 14:33
Hello, je me permets une question sans fouille au préalable, désolé.

Je viens de migrer mon Jeedom d'un raspeberry vers une Vm sous Promox (donc avec un backup). Depuis impossible d'envoyer une commande "parle".

J'ai aussi changé mon routeur/firewall (Tplink vers un Pfsense hardware) lors de cette migration.

Mais quand je regarde les logs on dirait plutôt un problème de répertoire ?

[2019-11-06 14:25:01][ERROR] : CMD-TTS------Google Translate API : Cannot connect to API - failover to picotts ([Errno 20] Not a directory: '/var/www/html/plugins/googlecast/tmp/4ad671d0c7ceaf45e74412a27787f7a7.mp3')
[2019-11-06 14:25:01][ERROR] : CMD-TTS------Exception while generating tts file : [Errno 20] Not a directory: '/var/www/html/plugins/googlecast/tmp/4ad671d0c7ceaf45e74412a27787f7a7_failover.wav'
[2019-11-06 14:27:40][ERROR] : WARMUPNOTIF------Exception while generating warmupn


Merci,

Hatalar
Un probleme de droit sur les dossiers surement.
Passe en SSH et vérifie que le dossier "/var/www/html/plugins/googlecast/tmp/" existe et possède les bons droits
Jeedom Stable 3.3
NUC Z83 + Aeotec Z-Stick Gen5
Z-Wave FGR + FGMS + FGDS + FGFS + FGK + FGWPE + ZW062 + ZW080
GH Mini + Orvibo AllOne + Playbulb + Miband2

Hatalar
Timide
Messages : 12
Inscription : 02 juin 2019, 00:40

Re: [Plugin Tiers][Sujet Principal] Google Cast

Message par Hatalar » 07 nov. 2019, 15:45

....en effet bêtement ça, le dossier n'existait pas.

Merci, je pensais vraiment pas que ça pouvait être aussi bête ...J'aurais pu trouver seul en cherchant un peu ;)

Avatar de l’utilisateur
Bello65
Actif
Messages : 706
Inscription : 16 déc. 2016, 11:20
Localisation : 31

Re: [Plugin Tiers][Sujet Principal] Google Cast

Message par Bello65 » 17 nov. 2019, 18:31

Bonjour,
Je souhaitai savoir si le plugin permettait de gérer allumer, éteindre une tv à base d'androidtv ? Exemple pour une sony ou une philips.
Je le faisais avant avec une prise on/off, mais avec une oled, on ne doit plus le faire.
Merci
PROXMOX VM JEEDOM (NUC merci benj29 ;)) v3.3.24 Stable&Béta
RfxCom - JPI - Blue Connect (sonde piscine) - Alarme Risco - Xiaomi Home - Z Wave - BLEA - Enocean

Mes débuts de débutant

vincecoco
Actif
Messages : 1180
Inscription : 12 oct. 2015, 09:31

Re: [Plugin Tiers][Sujet Principal] Google Cast

Message par vincecoco » 18 nov. 2019, 14:50

Hello,
Des nouvelles pour récupérer le réveil :) je suis également embêter pour mes scéanrios ^^
@Mguyard as tu trouvé une solution ?

Merci à vous,

Avatar de l’utilisateur
Mguyard
Timide
Messages : 401
Inscription : 24 mars 2016, 11:29

Re: [Plugin Tiers][Sujet Principal] Google Cast

Message par Mguyard » 18 nov. 2019, 19:41

Alors moi j’ai trouvé un truc détourné mais ça marche dans mon contexte.
Je programme le réveil dans une routine qui démarre la musique au moment du réveil.
Avant quand je faisait un bloc A a l’heure du réveil pour ouvrir les volets.

Maintenant du coup entre 4h et 10h je regarde quand la musique se met en marche sur une Google home et j’ouvre le volet associé. C’est fonctionnel, assez rapide mais moins beau qu’avant.

A priori certains réussisse à interroger l’api en utilisant une VM android rooté pour récupérer la clé (qui change toutes les 24h a priori).
Mais pas eu le temps de tester vraiment le truc, d’autant que la dernière VM android que j’avais monté était tellement lente que c’était pas exploitable.
“La connaissance s'acquiert par l'expérience, tout le reste n'est que de l'information.”

Albert Einstein

vincecoco
Actif
Messages : 1180
Inscription : 12 oct. 2015, 09:31

Re: [Plugin Tiers][Sujet Principal] Google Cast

Message par vincecoco » 18 nov. 2019, 19:58

@Mguyard
Tu fais comment pour mettre la musique au moment du réveil avec la routine ?
Merci

Avatar de l’utilisateur
Mguyard
Timide
Messages : 401
Inscription : 24 mars 2016, 11:29

Re: [Plugin Tiers][Sujet Principal] Google Cast

Message par Mguyard » 18 nov. 2019, 20:19

vincecoco a écrit :@Mguyard
Tu fais comment pour mettre la musique au moment du réveil avec la routine ?
Merci
Image
“La connaissance s'acquiert par l'expérience, tout le reste n'est que de l'information.”

Albert Einstein

Répondre

Revenir vers « [Catégorie] Multimédia »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 4 invités